|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QDomNodeList Class Reference
[QtXml module]

The QDomNodeList class is a list of QDomNode objects. More...

    #include <QDomNodeList>

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QDomNodeList ()
- QDomNodeList ( const QDomNodeList & n )
- ~QDomNodeList ()
- int count () const
- QDomNode item ( int index ) const
- uint length () const
- bool operator!= ( const QDomNodeList & n ) const
- QDomNodeList & operator= ( const QDomNodeList & n )
- bool operator== ( const QDomNodeList & n ) const

## Detailed Description

The QDomNodeList class is a list of QDomNode objects.

Lists can be obtained by QDomDocument::elementsByTagName() and QDomNode::childNodes(). The Document Object Model (DOM) requires these lists to be "live": whenever you change the underlying document, the contents of the list will get updated.

You can get a particular node from the list with item(). The number of items in the list is returned by count() (and by length()).

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the QDomDocument documentation.

See also QDomNode::childNodes() and QDomDocument::elementsByTagName().

## Member Function Documentation

### QDomNodeList::QDomNodeList ()

Creates an empty node list.

### QDomNodeList::QDomNodeList ( const QDomNodeList & n )

Constructs a copy of n.

### QDomNodeList::~QDomNodeList ()

Destroys the object and frees its resources.

### int QDomNodeList::count () const

Returns the number of nodes in the list.

This function is the same as length().

### QDomNode QDomNodeList::item ( int index ) const

Returns the node at position index.

If index is negative or if index >= length() then a null node is returned (i.e. a node for which QDomNode::isNull() returns true).

See also count().

### uint QDomNodeList::length () const

Returns the number of nodes in the list.

This function is the same as count().

### bool QDomNodeList::operator!= ( const QDomNodeList & n ) const

Returns true the node list n and this node list are not equal; otherwise returns false.

### QDomNodeList & QDomNodeList::operator= ( const QDomNodeList & n )

Assigns n to this node list.

### bool QDomNodeList::operator== ( const QDomNodeList & n ) const

Returns true if the node list n and this node list are equal; otherwise returns false.